Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacard.framework
Class UserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javacard.framework.CardException
                  javacard.framework.UserException

All Implemented Interfaces:
  Serializable

    public class UserException

extends CardException

`UserException` represents a User exception. This class also provides a resource-saving mechanism (the `throwIt()` method) for user exceptions by using a Java Card runtime environment-owned instance.

Java Card runtime environment-owned instances of exception classes are temporary Java Card runtime environment Entry Point Objects and can be accessed from any applet context. References to these temporary objects cannot be stored in class variables or instance variables or array components. See Runtime Environment Specification for the Java Card Platform, section 6.2.1 for details.

See Also:
  Serialized Form

Constructor Summary
`UserException()` Constructs a `UserException` with reason = 0.
`UserException(short reason)` Constructs a `UserException` with the specified reason.

Method Summary
`static void` | `throwIt(short reason)` Throws the Java Card runtime environment-owned instance of `UserException` with the specified reason.

Methods inherited from class javacard.framework.CardException
`getReason, setReason`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserException

    public UserException()

  Constructs a `UserException` with reason = 0. To conserve on resources use `throwIt()` to use the Java Card runtime environment-owned instance of this class.

### UserException

    public UserException(short reason)

  Constructs a `UserException` with the specified reason. To conserve on resources use `throwIt()` to use the Java Card runtime environment-owned instance of this class.

  Parameters:
    `reason` - the reason for the exception

Method Detail

### throwIt

    public static void throwIt(short reason)
                        throws UserException

  Throws the Java Card runtime environment-owned instance of `UserException` with the specified reason.

  Java Card runtime environment-owned instances of exception classes are temporary Java Card runtime environment Entry Point Objects and can be accessed from any applet context. References to these temporary objects cannot be stored in class variables or instance variables or array components. See Runtime Environment Specification for the Java Card Platform, section 6.2.1 for details.

  Parameters:
    `reason` - the reason for the exception
  Throws:
    `UserException` - always

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD